Description

(This issue is related to #15021)

Hello,

I'm also interested with a SLA feature in Redmine for Help Desk activities. I've seen many requests for SLA in Redmine, but since

you asked for some information about this feature, please let me give you some wishes about it :

- SLA is related to issues treatment, so for every type of issues, and every priority of issues, a field "SLA" must be configured. In

these fields, you have to put the max hours/days/working days you can spend to resolve the issue.

- SLA is calculated upon a calendar, so you must have a calendar option, where you can define the public holidays.

- You also have a field to define the standard support time, ie. : monday to friday, 9AM to 8PM

- SLA is also calculated upon issues status, which is also project-related, and can differ (ie. : new --> resolved, or confirmed -->

closed...), only the working time between starting status and delivered service status must be added

- some issues status can also freeze elapsing time : waiting for customer, waiting for external item...

- bactracking status must also be counted, ie. issue was resolved 2 days ago, but it has been changed to open because problem is

not fully resolved

Don't forget that these parameters can be project-related, and can differ for every project, so we need some flexibility.

At last, a reminder of the remaining SLA time (with a color code Green-Yellow-Red) in each issue is needed, with a status, ie. on

time, close to end, delayed. Filtering issues with this status is needed.

Cherry on the cake, a view of all SLA in one page, and another with some charts would be very appreciated.

I hope my explanations are sufficient for you to start something. I am in charge of a service desk, and we have chosen Redmine for

all its qualities, but we badly need SLA in it in order to work.

Thank you.

Related issues:

Related to Redmine - Feature #15021: Service Level Agreement (SLA), more user... New 2013-10-17

History

#1 - 2013-10-19 14:05 - Toshi MARUYAMA

- Related to Feature #15021: Service Level Agreement (SLA), more user-friendly email configuration, add any other notifications added

#2 - 2013-10-23 17:03 - Rupesh Helwade

+1

Could be an extension of issue #5458 and #13747

Also if we could get an email alerts for issues coming due in next few Hours based on SLA requirements wold be highly appreciable. Currently Issues

coming Due in next few days can be made to generate email alerts suing rake command but that does not take into account stringent SLA

requirements of few hours.

#3 - 2017-06-21 13:45 - Shreyas Moolya

François Langlois wrote:

I'm also interested with a SLA feature in Redmine for Help Desk activities. I've seen many requests for SLA in Redmine, but since you asked for

some information about this feature, please let me give you some wishes about it :
https://www.redmine.org/issues/15021
https://www.redmine.org/issues/5458
https://www.redmine.org/issues/13747


 Even i am looking for this feature

#4 - 2020-04-26 23:11 - Sebastián Labonia

+1 for this feature
